Loading...
Searching...
No Matches
Opm::BioeffectsSolutionContainer< Scalar > Struct Template Reference

Struct holding MICP extension data. More...

`#include <SolutionContainers.hpp>`

## Public Member Functions

void | resize (const unsigned numElems)
| Resize vectors and zero initialize.
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const BioeffectsSolutionContainer &rhs) const

## Static Public Member Functions

static BioeffectsSolutionContainer | serializationTestObject ()

## Public Attributes

std::vector< Scalar > | microbialConcentration
std::vector< Scalar > | oxygenConcentration
std::vector< Scalar > | ureaConcentration
std::vector< Scalar > | biofilmVolumeFraction
std::vector< Scalar > | calciteVolumeFraction

## Detailed Description

template<class Scalar>
struct Opm::BioeffectsSolutionContainer< Scalar >

Struct holding MICP extension data.

The documentation for this struct was generated from the following files:

- opm/simulators/flow/BioeffectsContainer.hpp
- opm/simulators/flow/SolutionContainers.hpp
- opm/simulators/flow/SolutionContainers.cpp